Ticket #9766 (closed enhancement: fixed)

Opened 19 months ago

Last modified 18 months ago

Support upgrade of project Vaadin library from 6.x to 7.x

Reported by: Henri Sara Owned by: ticketmaster
Priority: normal Milestone: Plug-in for Eclipse 2.1
Component: Plug-in for Eclipse Version:
Keywords: Cc:
Depends on:
Workaround:
Verified:

Description

The Eclipse plug-in should support updating the classpath of a Vaadin 6 project to Vaadin 7, removing old classpath entries and adding Vaadin 7 via dependency management (Ivy).

This ticket does not cover any other automatic updates - separate tickets should be created for them if necessary.

Change History

comment:1 Changed 18 months ago by Henri Sara

  • Status changed from new to closed
  • Resolution set to fixed
  • Milestone changed from Plug-in for Eclipse backlog to Plug-in for Eclipse 2.1

Implemented (remove GWT and its dependencies from build path, remove Vaadin JAR if in project and add Ivy configuration).

Note that classpaths of launch configurations are not updated automatically.

Note: See TracTickets for help on using tickets.